Notification handlers

GET https://olinke.com/api/notification-handlers/
curl --request GET \
--url 'https://olinke.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name.
is_enabled Optional Boolean
type Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id.
datetime_field Optional String Erlaubte Werte: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: notification_handler_id, datetime, last_datetime, name.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
search Optional String Die Suchzeichenfolge.
search_by Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: name.
is_enabled Optional Boolean
type Optional String Nach welchem ​​Feld suchen Sie? Zulässige Werte sind: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id.
datetime_field Optional String Erlaubte Werte: datetime, last_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String Welches Feld, nach dem die Ergebnisse sortiert werden sollen. Zulässige Werte sind: notification_handler_id, datetime, last_datetime, name.
order_type Optional String Die Reihenfolge der Ergebnisse. Zulässige Werte sind: ASC für aufsteigende Sortierung und DESC für absteigende Sortierung.
page Optional Integer Die Seitenzahl, von der Sie Ergebnisse erhalten möchten. Standardmäßig 1.
results_per_page Optional Integer Wie viele Ergebnisse Sie pro Seite wünschen. Zulässige Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-04-17 07:24:46",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://olinke.com/api/notification-handlers?page=1",
        "last": "https://olinke.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://olinke.com/api/notification-handlers?page=1"
    }
}
GET https://olinke.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-04-17 07:24:46",
    }
}
POST https://olinke.com/api/notification-handlers
Parameter Details Beschreibung
name Erforderlich String -
type Erforderlich String Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
email Optional String Verfügbar, wenn: type = email Email
webhook Optional String Verfügbar, wenn: type = webhook Webhook URL
slack Optional String Verfügbar, wenn: type = slack Slack webhook URL
discord Optional String Verfügbar, wenn: type = discord Discord webhook URL
telegram Optional String Verfügbar, wenn: type = telegram Telegram API Token
telegram_chat_id Optional String Verfügbar, wenn: type = telegram Telegram Chat ID
microsoft_teams Optional String Verfügbar, wenn: type = microsoft_teams Microsoft Teams webhook URL
google_chat Optional String Verfügbar, wenn: type = google_chat Google Chat webhook URL
x_consumer_key Optional String Verfügbar, wenn: type = x Telegram API Token
x_consumer_secret Optional String Verfügbar, wenn: type = x Telegram API Token
x_access_token Optional String Verfügbar, wenn: type = x Telegram API Token
x_access_token_secret Optional String Verfügbar, wenn: type = x Telegram API Token
push_subscriber_id Optional String Verfügbar, wenn: type = push_subscriber_id Push subscriber
twilio Optional String Verfügbar, wenn: type = twilio Phone number
twilio_call Optional String Verfügbar, wenn: type = twilio_call Phone number
whatsapp Optional String Verfügbar, wenn: type = whatsapp Phone number
curl --request POST \
--url 'https://olinke.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://olinke.com/api/notification-handlers/{notification_handler_id}
Parameter Details Beschreibung
name Optional String -
type Optional String Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams, twilio, twilio_call, whatsapp, x, google_chat, internal_notification, push_subscriber_id
email Optional String Verfügbar, wenn: type = email Email
webhook Optional String Verfügbar, wenn: type = webhook Webhook URL
slack Optional String Verfügbar, wenn: type = slack Slack webhook URL
discord Optional String Verfügbar, wenn: type = discord Discord webhook URL
telegram Optional String Verfügbar, wenn: type = telegram Telegram API Token
telegram_chat_id Optional String Verfügbar, wenn: type = telegram Telegram Chat ID
microsoft_teams Optional String Verfügbar, wenn: type = microsoft_teams Microsoft Teams webhook URL
google_chat Optional String Verfügbar, wenn: type = google_chat Google Chat webhook URL
x_consumer_key Optional String Verfügbar, wenn: type = x Telegram API Token
x_consumer_secret Optional String Verfügbar, wenn: type = x Telegram API Token
x_access_token Optional String Verfügbar, wenn: type = x Telegram API Token
x_access_token_secret Optional String Verfügbar, wenn: type = x Telegram API Token
push_subscriber_id Optional String Verfügbar, wenn: type = push_subscriber_id Push subscriber
twilio Optional String Verfügbar, wenn: type = twilio Phone number
twilio_call Optional String Verfügbar, wenn: type = twilio_call Phone number
whatsapp Optional String Verfügbar, wenn: type = whatsapp Phone number
is_enabled Optional Boolean -
curl --request POST \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://olinke.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://olinke.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \